> ## Documentation Index
> Fetch the complete documentation index at: https://docs.roostedhr.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Client Document

> Returns a single document by ID.



## OpenAPI

````yaml api-reference/v01.12.00/openapi-v01.12.00.json GET /clients/{id}/documents/{document_id}
openapi: 3.0.0
info:
  title: Roosted
  version: 0.1.12
  contact:
    name: Support
    url: https://support.roostedhr.com/support/home
    email: support@roostedhr.com
  description: |-
    Enterprise API

    Sandbox keys and Production keys are requested from support
servers:
  - url: https://api.roostedhr.com/api/1_12
  - url: https://sandbox.roostedhr.com/api/1_12
security:
  - X-API-KEY: []
tags:
  - name: Announcements
  - name: Areas
  - name: Clients
  - name: Company
  - name: Configuration
  - name: Events
  - name: Locations
  - name: Payroll Groups
  - name: Rate Cards
  - name: Shifts
  - name: Skillsets
  - name: Time Tracking
  - name: Wage Rules
  - name: Workers
paths:
  /clients/{id}/documents/{document_id}:
    parameters:
      - schema:
          type: string
        name: id
        in: path
        required: true
        description: Client ID
      - schema:
          type: string
        name: document_id
        in: path
        required: true
        description: Document ID
    get:
      tags:
        - Clients
      summary: Get Client Document
      description: Returns a single document by ID.
      operationId: get-client-document
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientDocument'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    description: Machine-readable error code.
                  error:
                    type: string
                    description: Human-readable error message.
              examples:
                Invalid page:
                  value:
                    code: CLI-1100
                    error: Invalid page parameter
                Invalid items_per_page:
                  value:
                    code: CLI-1200
                    error: Invalid items_per_page parameter
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    description: Machine-readable error code.
                  error:
                    type: string
                    description: Human-readable error message.
              examples:
                Invalid API key:
                  value:
                    code: ATH-100
                    error: Invalid or missing API key
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    description: Machine-readable error code.
                  error:
                    type: string
                    description: Human-readable error message.
              examples:
                Client not found:
                  value:
                    code: CLI-300
                    error: Client not found
                Document not found:
                  value:
                    code: CLI-900
                    error: Document not found
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    description: Machine-readable error code.
                  error:
                    type: string
                    description: Human-readable error message.
              examples:
                Unexpected error:
                  value:
                    code: CLI-2000
                    error: An unexpected error occurred
components:
  schemas:
    ClientDocument:
      title: ClientDocument
      type: object
      properties:
        id:
          type: integer
          description: Unique document identifier.
        name:
          type: string
          description: Document display name.
        file_name:
          type: string
          description: Original uploaded file name.
        date_added:
          type: string
          description: Datetime when the document was uploaded.
        type:
          type: string
          description: Document MIME type or file extension.
        location:
          type: string
          description: URL to the stored document file.
        deleted:
          type: integer
          description: Soft-delete flag (0 = active, 1 = deleted).
        date_deleted:
          type: string
          format: date-time
          nullable: true
          description: Timestamp when the document was soft-deleted, or null if active.
  securitySchemes:
    X-API-KEY:
      name: X-API-KEY
      type: apiKey
      in: header

````